package com.hfkj.service;

import com.hfkj.entity.BsPlatform;

import java.util.List;
import java.util.Map;

/**
 * 平台管理
 * @author hurui
 */
public interface BsPlatformService {

    /**
     * 获取当前使用平台
     * @return
     */
    BsPlatform getCurrentPlatform();

    /**
     * 编辑
     * @param bsPlatform
     */
    void editPlatform(BsPlatform bsPlatform);

    /**
     * 查询详情
     * @param id
     * @return
     */
    BsPlatform getDetail(Long id);

    /**
     * 查询平台
     * @return
     */
    List<BsPlatform> getPlatformList();

    /**
     * 查询平台
     * @return
     */
    List<BsPlatform> getPlatformList(Map<String, Object> param);
}
